<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row class="pl-6 pr-6">
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="orange"
          to="/publik/ptsp"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">PTSP</span><br />
                <span class="text-h6"
                  >Pelayanan Satu Pintu Terpadu</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue"
          to="/publik/sipadu"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="100"
                  src="../assets/images/logo_sipadu.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SIPADU</span><br />
                <span class="text-subtitle-2"
                  >Sistem Informasi Pelayanan Agama Terpadu</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

     <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="purple"
          to="/publik/sitaga"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="200"
                  src="../assets/images/logo_sitaga.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SITAGA</span><br />
                <span class="text-subtitle-2"
                  >Sistem Data Guru Agama</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="red darken-1"
          to="/publik/simanis"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">SIManis Guru TPG</span><br />
                <span class="text-h6"
                  >Sistem Administrasi Guru TPG</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="brown"
          to="/publik/lamak"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                max-height="100"
                  max-width="200"
                  src="../assets/images/logo_lamak.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">LAMAK</span><br />
                <span class="text-subtitle-2"
                  >Layanan Aplikasi Managemen Angka Kredit</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue-grey"
          to="/publik/simpar"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="120"
                  max-height="200"
                  src="../assets/images/logo_simpar.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SIMPAR</span><br />
                <span class="text-subtitle-2"
                  >Sistem Informasi Pinjaman Aula dan Ruangan</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="indigo"
          to="/publik/tangan_umat"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="200"
                  max-height="200"
                  src="../assets/images/logo_tangan_umat.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">TANGAN UMAT</span><br />
                <span class="text-subtitle-2"
                  >Ketahanan Pangan Umat</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="grey"
          to="/publik/siap_sapa"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="120"
                  max-height="200"
                  src="../assets/images/logo_siap_sapa.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SIAP SAPA</span><br />
                <span class="text-subtitle-2"
                  >Sistem Aplikasi Kepuasan Pelayanan</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="deep-orange"
          to="/publik/rumah_binar"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="128"
                  max-height="128"
                  src="../assets/images/logo_binar.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">RUMAH BINAR</span><br />
                <span class="text-subtitle-2"
                  >Bimbingan Intensif Anak Remaja</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue-grey"
          to="/publik/medika"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="245"
                  max-height="128"
                  src="../assets/images/logo_medika.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">MEDIKA</span><br />
                <span class="text-subtitle-2"
                  >Media Informasi & Kreatifitas</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="teal"
          to="/publik/sukma_podcast"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <span class="font-weight-bold text-h5">SUKMA PODCAST</span><br />
                <span class="text-h6"
                  >Suara dan Kata Masyarakat Podcast</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="red"
          to="/publik/sitiba"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="120"
                  max-height="200"
                  src="../assets/images/logo_sitiba.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SITIBA</span><br />
                <span class="text-subtitle-2"
                  >Sistem Informasi Tempat Ibadah di Bali</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

    </v-row>
  </div>
</template>

<script>
export default {
  name: "publik",
  components: {},
  data: () => ({
    height: 200,
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Publik",
        disabled: true,
        href: "publik",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch('constant/set_title', 'Layanan Publik')
  },
  methods: {
    open_breadcum() {
      this.$router.back();
    },
    ptsp() {
      this.$store.dispatch('constant/set_title', 'PTSP')
      this.$router.push(`/publik/ptsp`);
    },
    sipadu() {
      this.$store.dispatch('constant/set_title', 'SIPADU')
      this.$router.push(`/publik/sipadu`);
    },
    sitaga() {
      this.$store.dispatch('constant/set_title', 'SITAGA')
      this.$router.push(`/publik/sitaga`);
    },
    simanis() {
      this.$store.dispatch('constant/set_title', 'SiManis Guru TPG')
      this.$router.push(`/publik/simanis`);
    },
    lamak() {
      this.$store.dispatch('constant/set_title', 'LAMAK')
      this.$router.push(`/publik/lamak`);
    },
    simpar() {
      this.$store.dispatch('constant/set_title', 'SIMPAR')
      this.$router.push(`/publik/simpar`);
    },
    tangan_umat() {
      this.$store.dispatch('constant/set_title', 'TANGAN UMAT')
      this.$router.push(`/publik/tangan_umat`);
    },
    siap_sapa() {
      this.$store.dispatch('constant/set_title', 'SIAP SAPA')
      this.$router.push(`/publik/siap_sapa`);
    },
    rumah_binar() {
      this.$store.dispatch('constant/set_title', 'RUMAH BINAR')
      this.$router.push(`/publik/rumah_binar`);
    },
    medika() {
      this.$store.dispatch('constant/set_title', 'MEDIKA')
      this.$router.push(`/publik/medika`);
    },
    sukma_podcast() {
      this.$store.dispatch('constant/set_title', 'SUKMA PODCAST')
      this.$router.push(`/publik/sukma_podcast`);
    },
    sitiba() {
      this.$store.dispatch('constant/set_title', 'SITIBA')
      this.$router.push(`/publik/sitiba`);
    },
  },
};
</script>

<style scoped>
</style>
